MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031363Open CASCADE[OCCT] OCCT:Documentationpublic2020-02-10 10:232020-02-15 14:55
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031363: Documentation - broken Doxygen documentation of header files in Standard package
DescriptionDoxygen comment is formatted incorrectly in files Standard_WarningsDisable.hxx and Standard_WarningsRestore.hxx: the @file statement is followed by description which is interpreted as name of the file documented. Instead it should be followed by newline for it to be interpreted as documentation to the current file.

The effect is that this documentation is lost from Doxygen putput, see e.g.
https://www.opencascade.com/doc/occt-7.3.0/refman/html/_standard___warnings_restore_8hxx.html [^]
Steps To ReproduceGenerate reference manual for Foundation Classes, then see documentation of Standard_WarningsRestore.hxx
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031365newabv Documentation - Doxygen warnings when generating Reference Manual 
child of 0029310closedbugmaster Coding - multiple compiler warnings in Inspectors 

-  Notes
(0090441)
git (administrator)
2020-02-10 10:25

Branch CR31363 has been created by abv.

SHA-1: 0abe901d923a10a6908b0bba084cb50122337afe


Detailed log of new commits:

Author: abv
Date: Mon Feb 10 10:25:15 2020 +0300

    0031363: Documentation - broken Doxygen documentation of header files in Standard package
    
    Documentation is corrected
(0090442)
abv (manager)
2020-02-10 10:26

Fix is pushed to CR31363, please review. No testing is needed
(0090445)
git (administrator)
2020-02-10 10:56

Branch CR31363 has been updated forcibly by abv.

SHA-1: 1fd8c6fff47ad40b712f8c6b74498005e5b3a319
(0090489)
bugmaster (administrator)
2020-02-12 13:54

Tested in framework of WEEK-7

Combination -
OCCT branch : WEEK-7
master SHA - ed81d053016438d0b36485eefa9da2a90616f824
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : WEEK-7 SHA - fa93736d0dfc60600eb038f1a228db0ca19b8500
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16972.490000000067 / 16995.740000000096 [-0.14%]
Products
Total CPU difference: 11439.249999999975 / 11455.569999999962 [-0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 18436.9375 / 18439.6875 [-0.01%]
Products
Total CPU difference: 13329.09375 / 13351.46875 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 64e68ea6
Timestamp: 2020-02-10 07:25:15
Author: abv
Committer: bugmaster
Details ] Diff ]
0031363: Documentation - broken Doxygen documentation of header files in Standard package

Documentation is corrected
mod - src/Standard/Standard_CString.hxx Diff ] File ]
mod - src/Standard/Standard_Dump.hxx Diff ] File ]
mod - src/Standard/Standard_Failure.hxx Diff ] File ]
mod - src/Standard/Standard_Handle.hxx Diff ] File ]
mod - src/Standard/Standard_Mutex.hxx Diff ] File ]
mod - src/Standard/Standard_ReadLineBuffer.hxx Diff ] File ]
mod - src/Standard/Standard_WarningsDisable.hxx Diff ] File ]
mod - src/Standard/Standard_WarningsRestore.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-02-10 10:23 abv New Issue
2020-02-10 10:23 abv Assigned To => abv
2020-02-10 10:25 git Note Added: 0090441
2020-02-10 10:26 abv Note Added: 0090442
2020-02-10 10:26 abv Assigned To abv => kgv
2020-02-10 10:26 abv Status new => resolved
2020-02-10 10:26 abv Steps to Reproduce Updated View Revisions
2020-02-10 10:35 kgv Relationship added child of 0029310
2020-02-10 10:36 kgv Assigned To kgv => bugmaster
2020-02-10 10:36 kgv Status resolved => reviewed
2020-02-10 10:36 kgv Product Version => 7.3.0
2020-02-10 10:56 git Note Added: 0090445
2020-02-10 10:58 abv Relationship added related to 0031365
2020-02-12 13:54 bugmaster Note Added: 0090489
2020-02-12 13:54 bugmaster Status reviewed => tested
2020-02-12 13:56 bugmaster Test case number => Not required
2020-02-15 14:55 bugmaster Changeset attached => occt master 64e68ea6
2020-02-15 14:55 bugmaster Status tested => verified
2020-02-15 14:55 bugmaster Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker